package PFSaver;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

public class ZipCompresser
{
	private ZipOutputStream zout = null;
	private ObjectOutputStream oout = null;
	
	public ZipCompresser(String zippath) throws IOException
	{
		zout = new ZipOutputStream(new FileOutputStream( new File(zippath) ));
	}

	public void addFileInZip(Object obj, String filename) throws IOException
	{
		zout.putNextEntry(new ZipEntry(filename));
		oout = new ObjectOutputStream(zout);
		oout.writeObject(obj);
	}
	
	public void close() throws IOException
	{
		zout.close();
		if(oout!=null) oout.close();
	}
}
