/*********************************************************************************
 * 
 * 		INTERFACE_HANDLE NX
 * 
 * 	pPbgtB^OpC^tF[Xnh
 * 
 * 
 * pPbgʉ߂̌֎~izCgXgjiubNXgj
 * @ݒ肷
 * tB^fBXNv^ǉ鎞AzCgXgȂtB^[
 * @KpPbg͒ʉ߂AubNXgȂpPbgj
 * nh̓CoEhɃZbgƃCoEh̃pPbgΏۂƂA
 * @AEgoEhɃZbgƃAEgoEh̃pPbgΏۂƂ
 * 
********************************************************************************/

package WinPacketFiltering;

import java.util.ArrayList;

public class INTERFACE_HANDLE
{
	public static final boolean BLACK_LIST	= false;
	public static final boolean WHITE_LIST	= true;
	public static final boolean ALL_PASS		= BLACK_LIST;
	public static final boolean ALL_STOP		= WHITE_LIST;
	
	private ArrayList list = new ArrayList();
	public boolean rule;
	
	public INTERFACE_HANDLE(boolean type)
	{
		rule = type;
	}
	
	public INTERFACE_HANDLE()
	{
	}
	
	public void addFilter(FILTER_DESCRIPTOR filter)
	{
		list.add(filter);
	}
	
	public void addFilter(int index, FILTER_DESCRIPTOR filter)
	{
		list.add(index, filter);
	}
	
	public void removeFilter(int index)
	{
		list.remove(index);
	}
	
	public void changeFilter(int index, FILTER_DESCRIPTOR filter) 
	{
		list.set(index, filter);
	}
	
	public int getSize()
	{
		return list.size();
	}
	
	public FILTER_DESCRIPTOR getFilter(int index)
	{
		return (FILTER_DESCRIPTOR)list.get(index);
	}
	
	public void clear()
	{
		list.clear();
	}
	
	public static INTERFACE_HANDLE makeBLACK_LIST()
	{
		return new INTERFACE_HANDLE(BLACK_LIST);
	}
	
	public static INTERFACE_HANDLE makeWHITE_LIST()
	{
		return new INTERFACE_HANDLE(WHITE_LIST);
	}
}
